json-lib解析Json出現錯誤maven出錯問題


1.Missing artifact net.sf.json-lib:json-lib:jar:2.4:compile

pom.xml文件的原內容:


<dependency>
        <groupId>net.sf.json-lib</groupId>
        <artifactId>json-lib</artifactId>
        <version>2.4</version>
    </dependency>
出錯原因:json-lib是需要區分jdk版本的,pom.xml中的配置應加上標簽classifier指定jdk版本,如用jdk15

解決方法:在<dependency></dependency>內加入jdk版本,如下:



<dependency>
        <groupId>net.sf.json-lib</groupId>
        <artifactId>json-lib</artifactId>
        <version>2.4</version>
        <classifier>jdk15</classifier>
    </dependency>


原文鏈接:json-lib解析Json出現錯誤maven出錯問題